#pragma once

#include "schema.h"

namespace maps::wiki::socialsrv {

PostGradeRequest parsePostGradeRequest(const std::string& jsonString);

std::string toJson(const PostGradeResult& result);
std::string toJson(const TokenResult& result);
std::string toJson(const maps::wiki::assessment::Unit& unit);
std::string toJson(const maps::wiki::assessment::GradedUnitVec& gradedUnits);
std::string toJson(const maps::wiki::assessment::UnitFeed& unitFeed);
std::string toJson(const maps::wiki::assessment::SampleInfo& sampleInfo);
std::string toJson(const maps::wiki::assessment::SampleFeed& sampleFeed);

} // namespace maps::wiki::socialsrv
